Package org.apache.catalina.storeconfig

## Class ManagerSF

- java.lang.Object
- - org.apache.catalina.storeconfig.StoreFactoryBase
  - - org.apache.catalina.storeconfig.ManagerSF

- All Implemented Interfaces:
    `IStoreFactory`

      public class ManagerSF
      extends StoreFactoryBase

  Store server.xml Manager element

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManagerSF()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `isDefaultManager​(StandardManager smanager)` | Is this an instance of the default `Manager` configuration, with all-default properties?
    `void` | `store​(PrintWriter aWriter, int indent, Object aElement)` | Store the only the Manager elements
    `void` | `storeChildren​(PrintWriter aWriter, int indent, Object aManager, StoreDescription parentDesc)` | Must Implement at subclass for custom store children handling.

    - ### Methods inherited from class org.apache.catalina.storeconfig.StoreFactoryBase

      `getInfo, getRegistry, getStoreAppender, setRegistry, setStoreAppender, storeElement, storeElementArray, storeXMLHead`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ManagerSF

          public ManagerSF()

  - ### Method Detail

    - #### store

          public void store​(PrintWriter aWriter,
                            int indent,
                            Object aElement)
                     throws Exception

      Store the only the Manager elements
      Specified by:
        `store` in interface `IStoreFactory`
      Overrides:
        `store` in class `StoreFactoryBase`
      Throws:
        `Exception`
      See Also:
        `NamingResourcesSF.storeChildren(PrintWriter, int, Object, StoreDescription)`

    - #### isDefaultManager

          protected boolean isDefaultManager​(StandardManager smanager)

      Is this an instance of the default `Manager` configuration, with all-default properties?
      Parameters:
        `smanager` - Manager to be tested
      Returns:
        `true` if this is an instance of the default manager

    - #### storeChildren

          public void storeChildren​(PrintWriter aWriter,
                                    int indent,
                                    Object aManager,
                                    StoreDescription parentDesc)
                             throws Exception

      Description copied from class: `StoreFactoryBase`
      Must Implement at subclass for custom store children handling.
      Overrides:
        `storeChildren` in class `StoreFactoryBase`
      Parameters:
        `aWriter` - Current output writer
        `indent` - Indentation level
        `aManager` - Current element
        `parentDesc` - The element description
      Throws:
        `Exception` - Configuration storing error